

<?php
$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

if( isset($_SESSION['usuario']) && isset($_SESSION['usuario']['PermiteCopiarPegar']) && $_SESSION['usuario']['PermiteCopiarPegar']=='S') $copyPaste=true;
	
if($traza) {
	echo '<p>copypaste pie de maqueta (antes bloqueo por javascript): '.$copyPaste.'</p>';
}
?>

<script>

function redimensionaPestanyas(contenedor,sobreDimension,minimo) {

	if( sobreDimension==null ) sobreDimension=0;
	var alto=0;

	//Para cada pestaña, ajusta el tamaño de la etiqueta, y obtiene el máximo alto
	$('#'+contenedor).children('.pestanya').children('.pestanyaContenido').each(function() {
		if( parseFloat($(this).height()) > alto ) alto=parseFloat($(this).height());
	});
	
	if(alto<minimo) alto=minimo;

	//Ajusta el máximo alto para todas igual
	//$('#'+contenedor).children('.pestanya').children('.pestanyaContenido').each(function() {
	$('#'+contenedor).children('.pestanya').each(function() {
		$(this).height(alto + 30 + 20 + sobreDimension ); //30 del padding, 20 del redondeado
		$(this).parent().height( alto + 50 + sobreDimension );
	});
	//alert("alto calculado: "+alto);
	
	//Ajusta el alto para la capa principal
	$('#'+contenedor).height( alto + 50 + sobreDimension );

}

function mueveHastaPestanya(pestanya) {

	$('#'+pestanya).parent().children('.pestanya').removeClass('activa');
	$('#'+pestanya).parent().children('.pestanya').children('.pestanyaEtiqueta').removeClass('activa');
	$('#'+pestanya).parent().children('.pestanya').children('.pestanyaContenido').removeClass('activa');
	
	$('#'+pestanya).addClass('activa');
	$('#'+pestanya).children('.pestanyaEtiqueta').addClass('activa');
	$('#'+pestanya).children('.pestanyaContenido').addClass('activa');

}



$(document).ready(function() {


	//GESTION DESCARGA DE ARCHIVOS DESDE GD POR PROXY
	
	$(document).on('click','.enlaceDescargaDocumento',function(){
	
		$('#popupCargando').show();
	
		var nombreArchivo=$(this).attr('nombreArchivo');
		var rutaArchivoRemoto=$(this).attr('rutaArchivoRemoto');
		
		console.log('Solicitada descarga de: '+rutaArchivoRemoto);
		console.log("contenidos/archivo-solicitar.php?cadenaArchivosGD="+rutaArchivoRemoto);
		
		$.post( "contenidos/archivo-solicitar.php" , { 'cadenaArchivosGD' : rutaArchivoRemoto } )
		.done(function(data) {
		
			console.log('resultado: '+data);
		
			if(data=='error') {
				$('#popupCargando').hide();
				alert('Ha habido un error durante la descarga.',null,'error');
			}
			else {
			
				var valores=data.split('¬');
				
				var nombreReal=valores[0];
				var nombreTemporal=valores[1];
				
				console.log('valores: '+valores);
				console.log('nombre real: '+nombreReal);
				console.log('nombre temporal: '+nombreTemporal);

				var esperaArchivo=setInterval(function(){
			
					$.post( "contenidos/archivo-comprobar.php" , { 'archivo' : nombreTemporal } )
					.done(function(data) {
					
						console.log('resultado comprobación: '+data);
					
						if(data==1) {
						
							clearInterval(esperaArchivo);
						
							document.cookie='downloading=1;max-age=3600;path=/';
							
							console.log('1 --> contenidos/archivo-descargar.php?archivo='+nombreTemporal+'&nombre='+nombreReal+'&borrar=si');
							nombreReal=encodeURIComponent(nombreReal);
							console.log('2 --> contenidos/archivo-descargar.php?archivo='+nombreTemporal+'&nombre='+nombreReal+'&borrar=si');
							
							window.open('contenidos/archivo-descargar.php?archivo='+nombreTemporal+'&nombre='+nombreReal+'&borrar=si' , '_self' );
							
							var esperaDescarga=setInterval( function(){
								if(leerCookie('downloading')==0) {
									$('#popupCargando').hide();
									clearInterval(esperaDescarga);
								}
							},1000);

						}
				
					});
				
				},1000);

			
			}
			
		});
	
	});
	
	<?php if(isset($esperarCarga)) $tempEsperarCarga=$esperarCarga; //29-11-2024 Error ejecucion PHP detectado en VCDL ?>
	
	<?php if(!isset($tempEsperarCarga) || !$tempEsperarCarga) { ?>
	$('#popupCargando').hide();
	<?php } ?>
	
	$(document).on('click','.mostrarCargando',function(){
		$('#popupCargando').show();
	});
	
	
	
	<?php  if( !$copyPaste || $copyPaste=='' || !isset($copyPaste) || (isset($bloqueoCopiarPegarPorPantalla) && $bloqueoCopiarPegarPorPantalla) ) { ?>
	//Deshabilita copiar y pegar
	$('*').bind("cut copy paste",function(e) {
		e.preventDefault();
	});
	<?php } ?>
	
	
	//Gestión de pestañas
	
	$('.contenedorPestanyas').each(function() {
			
		var alto=0;
			
		var contador=0;
		//Cuenta cuántas pestañas hay
		$(this).children('.pestanya').each(function() { contador++ });
		//Calcula el tamaño de cada etiqueta, dejando siempre un hueco al final
		var desplazamiento = ( $(this).width() - 40 ) / contador;
		var tamanyo = desplazamiento - 40;
			
		contador=0;
			
		//Para cada pestaña, ajusta el tamaño de la etiqueta, y obtiene el máximo alto
		$(this).children('.pestanya').each(function() {
			$(this).css('z-index',0);
			var hijo=$(this).find(".pestanyaEtiqueta:first-child");
			hijo.css('width',tamanyo);
			if(contador>0) hijo.css('margin-left',contador*desplazamiento);
			if( $(this).height() > alto ) alto=$(this).height();
			contador++;
		});
		//Ajusta el máximo alto para todas igual
		$(this).children('.pestanya').each(function() {
			$(this).height(alto);
			$(this).show();
		});
		//Ajusta el alto para la capa principal
		$(this).height(alto);
		
		//Pasamos la primera pestaña a primer plano
		//var primera=$(this).find('.pestanya:first-child');
		//primera.addClass('activa');
		//primera.children('.pestanyaEtiqueta').addClass('activa');
		//primera.children('.pestanyaContenido').addClass('activa');
	});
		
	$('.pestanyaEtiqueta').on('click',function(){
		$(this).parent().parent().children('.pestanya').removeClass('activa');
		$(this).parent().parent().children('.pestanya').children('.pestanyaContenido').removeClass('activa');
		$(this).parent().parent().children('.pestanya').children('.pestanyaEtiqueta').removeClass('activa');
		$(this).parent().addClass('activa');
		$(this).addClass('activa');
		$(this).parent().children('.pestanyaContenido').addClass('activa');
	});
	
	<?php if(isset($foco) && $foco!='') { ?>$('#<?php echo $foco; ?>').focus();<?php } ?>
	<?php if(isset($focoSiguiente) && $focoSiguiente!='') { ?>focoSiguiente('#<?php echo $focoSiguiente; ?>');<?php } ?>
	
	
	//$('body').css('background-image','url(<?php echo DIR_IMAGENES; ?>/fondo.jpg)');

	
	function disableBack() {
		window.history.forward();
    }
    window.onload = disableBack();
    window.onpageshow = function(e) {
		if (e.persisted) {
			disableBack();
			alert('Atención: Por seguridad, no está permitido moverse atrás<br>con el botón del navegador.<br><br>Para ello, utiliza los botones de la aplicación Proxium.',null,'');
		}
	}
	
	//16-06-2023 scroll a un punto de la pantalla, generalizado para cualquier script
	<?php if(isset($_GET['scroll']) && $_GET['scroll']) { ?>
	var posicion = $('#<?php echo $_GET['scroll']; ?>').offset().top;
	$('html,body').animate({scrollTop:posicion},'slow');
	<?php } ?>

});

</script>

</body>
</html>
<?php


// 25-05-2022 Multioperario ----> DESBLOQUEO LINEA si se hubiera quedado bloqueada
// $OP_bloqueo_multioperario_NO_gestionar está configurado a true en las ventanas donde el desbloqueo no debe forzarse, ya que es automatico



if( isset($_SESSION['OP_bloqueo_multioperario']) && !$OP_bloqueo_multioperario_noDesbloquear ) {

	include_once($rutaPhp.$rutaHtml.'/librerias/funciones-cachews-customNusoap.php');

	$peticion='DesbloqueoMultiOperario#'.$_SESSION['empresa'].'#'.$_SESSION['OP_bloqueo_multioperario'].'#'.$_SESSION['usuario']['Usuario'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	//echo '<p>Petición desbloqueo: '.$peticion.'</p>';
	//print_r($resultado);
	//echo '<hr>';
	
	unset($_SESSION['OP_bloqueo_multioperario']);

}


if($mysqlServidor && !$noConectar) include($rutaPhp.$rutaHtml.'/bdd/desconectar.php');


?>